View Issue Details

IDProjectCategoryView StatusLast Update
0001863DrawingFeaturepublic2018-09-16 11:33
Reportertriplus Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
PlatformLinuxOSUbuntuOS Version14.04
Product Version 
Target VersionFixed in Version 
Summary0001863: Global preference for drawing line width
DescriptionEach inserted drawing view has two properties called Line Width (default 0,35) and Hidden Width (default 0,15). It would be great if user could somehow set default (custom) values for this two properties globally.

In the future FreeCAD might be able to define line width automatically based on drawing template size inserted:

http://www.metrication.com/drafting/lines.html
http://www.en.technisches-zeichnen.net/technical-drawing/basics-01/line-width.php

But for now it would be great if global method would exist instead of user each time having to select each drawing view and change values if default values are not appropriate for the project.
TagsNo tags attached.

Relationships

related to 0000606 closedyorik Set line width for projection views in drawing using the template system 
related to 0001921 closed Drawing view hidden lines and stroke-dasharray 
related to 0001920 closed Drawing scale and stroke-dasharray 

Activities

Kunda1

2017-02-02 00:28

administrator   ~0008158

Last edited: 2017-02-02 00:34

View 3 revisions

> - Line style/weight preference changes are planned (in TechDraw)
Per @wandererfan in https://forum.freecadweb.org/viewtopic.php?f=10&t=20342#p157399
Context: Drawing is planned to be deprecated after 0.17 in favor of TechDraw
Related: 0001920 & 0001921

Kunda1

2018-09-14 15:25

administrator   ~0011740

@wandererfan what about this ?

wandererfan

2018-09-15 13:44

manager   ~0011748

TechDraw LineGroups

Kunda1

2018-09-15 16:26

administrator   ~0011749

@wandererfan care to go through the remainder of the drawing WB tickets and updating/closing tickets?

Issue History

Date Modified Username Field Change
2014-12-17 16:57 triplus New Issue
2014-12-17 19:10 shoogen Relationship added related to 0000606
2017-02-02 00:26 Kunda1 Relationship added related to 0001921
2017-02-02 00:27 Kunda1 Relationship added related to 0001920
2017-02-02 00:28 Kunda1 Note Added: 0008158
2017-02-02 00:29 Kunda1 Note Edited: 0008158 View Revisions
2017-02-02 00:34 Kunda1 Note Edited: 0008158 View Revisions
2017-02-02 00:38 Kunda1 Status new => confirmed
2018-09-14 15:25 Kunda1 Note Added: 0011740
2018-09-15 13:44 wandererfan Note Added: 0011748
2018-09-15 16:26 Kunda1 Note Added: 0011749
2018-09-16 11:33 wandererfan Status confirmed => closed
2018-09-16 11:33 wandererfan Resolution open => won't fix